import 'package:flutter/material.dart';
import 'package:test_app/person.dart';
import 'package:test_app/detail_page.dart';

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  String _result;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Application / Main Page'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            RaisedButton(
              child: Text('상세 페이지'),
              color: Colors.orange,
              onPressed: () async {
                setState(() {
                  _result = '';
                });

                final Person person = Person('홍길동', 20);

                final result = await Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) => DetailPage(person: person)),
                );

                setState(() {
                  _result = result;
                });
              },
            ),
            Text(
              '결과 : $_result',
            ),
          ],
        ),
      ),
    );
  }
}